<?php
/**
 * InfusedAuth is an add on to SimpleAuth
 *
 * This is an adapter for NinjAuth
 *
 * @package    InfusedAuth
 * @version    1.0
 * @author     Michael Bneder
 * @license    Commercial License
 * @copyright  2012 Infused Industries, Inc.
 * @link       http://sociablegroup.com
 */

namespace InfusedAuth;

use Auth;
use NinjAuth;

class Adapter_InfusedAuth extends Adapter_SimpleAuth
{
    public function create_user(array $user)
    {
        try
        {
            $user_id = Auth::create_user(

            // Username
                isset($user['username']) ? $user['username'] : null,

                // Password (random string will do if none provided)
                isset($user['password']) ? $user['password'] : \Str::random(),

                // Email address
                isset($user['email']) ? $user['email'] : null,

                // Which group are they?
                \Config::get('ninjauth.default_group'),

                // Extra information
                array(

                    // Got their full name? Or first and last to make up a full name?
                    'full_name' => isset($user['full_name']) ? $user['full_name'] : (
                    isset($user['first_name'], $user['last_name']) ? $user['first_name'].' '.$user['last_name'] : null
                    ),
                )
            );

            return $user_id ?: false;
        }
        catch (SimpleUserUpdateException $e)
        {
            \Session::set_flash('ninjauth.error', $e->getMessage());
        }

        return false;
    }

    public function can_auto_login(array $user)
    {
        // To automatically register with SimpleAuth you only need one or the other
        return isset($user['username']) and isset($user['email']);
    }
}
